/*
 *                                      Copyright 2025 WebPros International, LLC
 *                                                           All rights reserved.
 * copyright@cpanel.net                                         http://cpanel.net
 * This code is subject to the cPanel license. Unauthorized copying is prohibited.
 */

/**
 * Lifecycle interface for cPanel plugins
 */
export interface ICphlexLifecycle {
    install(): Promise<void>;
    uninstall(): Promise<void>;
    softInstall(): Promise<void>;
    softUninstall(): Promise<void>;
}

/**
 * Toggle interface for cPanel plugins
 */
export interface ICphlexToggle {
    enable(): Promise<void>;
    disable(): Promise<void>;
}